#! /bin/sh
# MOHATO!
# includes eKonsole.

if [ "$(id -u)" != "0" -a -z "$1" ]
then
  exec /sbin/start-stop-daemon -S -c root:root -x "$0" -- restart
  exit 1
fi

MYFILE=`basename $0`
MYPATH=`echo $0 | sed -e 's/'$MYFILE'//g'`
cd $MYPATH

export MOHATO=/mmc/mmca1/.mohato

. /home/native/.profile 2>/dev/null 1>/dev/null

export HOME=$MOHATO/root
export QTDIR="$MYPATH/qt"

export SHELL="$MOHATO/mohato.sh"

if [ ! -x ./ekonsole ]; then
  chmod +x ./ekonsole
fi
exec ./ekonsole
exit 1
